String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function flCancelar(){
	SM("L");
}
function CalSaldo(){
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var SAL=TOT -( ACU + Tot);
	SAL=SAL.toFixed(2);
	document.getElementById("TxtSal").value=SAL;
}
//
function fGuardar(){
	var cod=gv("TxtId");
	var fec=gv("Fec");
	var ban=gv("Ban");
	var tip=gv("Tip");
	var mnd=gv("Mnd");
	var nro=gv("Nro");
	var cci=gv("Cci");
	var hab=gv("Hab");	
	//
	if(jL(fec)==0){
		return AF("No se puede determinar la fecha de registro","Fec");
	}	
	if(!EsFecha(fec)){
		return AF("Fecha no valida","Fec");
	}
	if(jL(ban)==0){
		return AF("Seleccione un banco","Ban");
	}
	if(jL(tip)==0){
		return AF("Seleccione el tipo de cuenta","Tip");
	}
	if(jL(mnd)==0){
		return AF("Seleccione una moneda","Mnd");
	}
	if(jL(nro)==0){
		return AF("Ingrese el nro de cuenta","Nro");
	}
	if(jL(hab)==0){
		return AF("Determine si esta habilitado","Hab");
	}
	//
	if(gv("CmdG")=="Guardar"){
		if(confirm("¿Esta seguro que desea guardar?")){
			document.getElementById("CmdG").disabled=true;
			SM("G");
		}
	}else{
		if(confirm("¿Esta seguro que desea modificar?")){
			document.getElementById("CmdG").disabled=true;
			SM("M");
		}
	}
}
//
function flEliminar(){
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		document.getElementById("CmdE").disabled=true;
		SM("E");
	}
}